Description

61850 allows "filename" to be a string terminated by a delimiter. This is interpreted as the name of a directory instead of a file.

1. sFt2ab step 1 requires that the test system issue a GetFile for each entry in the GetServerDirectory(FILE) response but it does not
make sense to perform this request on a directory and it also makes no sense to require a positive response from the DUT in this
case

2. sFt2ab step 2 requires that the test system issue a GetFileAttributeValues for each entry in the GetServerDirectory(FILE) response
but it does not make sense to perform this request on a directory and it also makes no sense to require a positive response from the
DUT in this case

The proposed solution is to clarify that only non-directory requests be issued in each step of the test description
Proposed solution attached with blue text to be inserted.

History

#1 - 03/30/2022 02:10 AM - Thierry Dufaure

I think that moving the "which does not specify a file directory next to the FileName is easier to read:

For each File Name (which does not specify a file directory) in the listOfDirectoryEntry as returned by GetServerDirectory(FILE) using an empty file
specification :

Alternative: do not extend the text but add a note to the test case:
Note: for File Name representing files and not file directory.

#2 - 03/30/2022 08:38 AM - Bruce Muschlitz

Agree that the wording could be more clear.

Suggest for entire test description before item 1:

Simulator performs a GetServerDirectory(FILE) using an empty file specification and collects the response listOfDirectoryEntry. For each response
which does not specify a file directory (i.e. a response which is not terminated with a file delimiter), perform the following steps.

#3 - 05/01/2022 06:22 PM - Bruce Muschlitz
- File sFt2ab_20220501.docx added

Proposed complete sFt2ab_20220501.docx attached with change tracking.

#4 - 05/03/2022 04:36 AM - Thierry Dufaure

| agree with the modifications proposed on May, 1st.

#5 - 06/02/2022 03:07 PM - Bruce Muschlitz
- Status changed from New to Resolved

- Discuss in Upcoming Meeting changed from Yes to No
- Updated Test Document set to Server Ed2.0 TP2.0.7 and Server Ed2.1 TP1.3
- Closed Reason Test Procedure Update added
- Closed Reason deleted (--Not Set---)

#6 - 03/01/2024 09:51 AM - Richard Schimmel

- Status changed from Resolved to Closed

Files
sFt2ab.docx 13.6 KB 03/22/2022 Bruce Muschlitz
sFt2ab_20220501.docx 14.6 KB 05/01/2022 Bruce Muschlitz
